# vim: set ft=spec: -*- rpm-spec -*-
# $Id: seahorse,v 1.2 2005/05/23 14:33:25 raorn Exp $

Name: seahorse
Version: 0.7.8
Release: alt1.1

Summary: Seahorse is a GNOME frontend to GnuPG
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.sf.net/

Source: %name-%version.tar.bz2

Requires: gnupg

# Automatically added by buildreq on Mon May 23 2005
BuildRequires: ORBit2-devel gcc-c++ gedit-devel glib2-devel gnome-vfs2-devel gnupg libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libgcrypt-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgnutls-devel libgpg-error-devel libgpgme-devel libgtk+2-devel libgtksourceview-devel libldap-devel libnautilus-devel libpango-devel libpopt-devel libsoup-devel libstdc++-devel libtasn1-devel libxml2-devel pkgconfig xorg-x11-devel zlib-devel menu-devel

%description
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface 
for encryption operations.

%package agent
Summary: Seahorse GPG Agent
Group: File tools
PreReq: %name = %version-%release

%description agent
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface 
for encryption operations.

This package contains seahorse Agent.

%package -n nautilus-%name
Summary: Seahorse Nautilus plugin
Group: File tools
PreReq: %name = %version-%release
PreReq: nautilus2

%description -n nautilus-%name
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface 
for encryption operations.

This package contains seahorse Nautilus plugin.

%package -n gedit-plugins-%name
Summary: Seahorse gEdit plugin
Group: Editors
PreReq: %name = %version-%release
PreReq: gedit

%description -n gedit-plugins-%name
Seahorse is a graphical interface for managing and using encryption keys. 
Currently it supports PGP keys using for Gnu Privacy Guard. Its goal is to 
provide an easy to use Key Management Tool, along with an easy to use interface 
for encryption operations.

This package contains seahorse gEdit plugin.

%prep
%setup -q
%__subst 's,update-mime-database,#update-mime-database,' plugins/nautilus/Makefile*
%__subst 's,chmod,#chmod,' agent/Makefile*

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%__rm -rf %buildroot%_libdir/gedit-2/plugins/*.{a,la}
%__rm -rf %buildroot%_libdir/nautilus/extensions-1.0/*.{a,la}
%__rm -rf %buildroot%_datadir/control-center-2.0

%__mkdir_p %buildroot%_menudir
%Md2m \
	%name \
	"Applications/File tools" \
	%buildroot%_datadir/applications/%name.desktop \
	%buildroot%_menudir/%name

%find_lang %name

%post
%post_ldconfig
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%postun_ldconfig
%clean_menus
%clean_scrollkeeper

%post -n nautilus-%name
%update_menus
%update_mimedb

%postun -n nautilus-%name
%clean_menus
%clean_mimedb

%post -n gedit-plugins-%name
%gconf2_install %name-gedit

%preun -n gedit-plugins-%name
if [ $1 = 0 ]; then
%gconf2_uninstall %name-gedit
fi

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING COPYING-DOCS NEWS README THANKS TODO
%config %_sysconfdir/gconf/schemas/seahorse.schemas
%_bindir/%name
%_libdir/lib*.so.*
%_datadir/%name
%exclude %_datadir/%name/glade/seahorse-agent-cache.glade
%_datadir/applications/seahorse.desktop
%_datadir/applications/seahorse-pgp-encrypted.desktop
%_datadir/applications/seahorse-pgp-signature.desktop
%_datadir/gnome/help/%name
%_datadir/omf/%name/*
%_datadir/pixmaps/*
%_menudir/%name

%files agent
%attr(711,root,root) %_bindir/%name-agent
%_datadir/%name/glade/seahorse-agent-cache.glade

%files -n nautilus-%name
%_bindir/%name-pgp-preferences
%_libdir/nautilus/extensions-1.0/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%_datadir/applications/seahorse-pgp-preferences.desktop

%files -n gedit-plugins-%name
%config %_sysconfdir/gconf/schemas/%name-gedit.schemas
%_libdir/gedit-2/plugins/*

%changelog
* Wed Jun 01 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.8-alt1.1
- Rebuilt with libgnutls.so.12.

* Mon May 23 2005 Sir Raorn <raorn@altlinux.ru> 0.7.8-alt1
- [0.7.8]

* Tue Oct 19 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.3-alt1.1
- Updated build dependencies (libgpgme-compat-devel).

* Wed May 12 2004 Sir Raorn <raorn@altlinux.ru> 0.6.3-alt1
- [0.6.3]

* Tue Jun 12 2001 AEN <aen@logic.ru> 0.5.0-alt1
- 0.5.0
- russian po-file fixed

* Tue Jan 30 2001 Dmitry V. Levin <ldv@fandra.org> 0.4.9-ipl1mdk
- RE adaptions.

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages


